package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 就业报告对象 b_busi_wish_universities_employmentreport
 * 
 * @author mingxue
 * @date 2022-06-23
 */
public class BBusiWishUniversitiesEmploymentreport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;

    /** 学校编码 */
    @Excel(name = "学校编码")
    private String collegeCode;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 网址 */
    @Excel(name = "网址")
    private String webSite;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 文件类型 */
    @Excel(name = "文件类型")
    private String type;

    /** url */
    @Excel(name = "url")
    private String url;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public BBusiWishUniversitiesEmploymentreport setCollegeCode(String collegeCode)
    {
        this.collegeCode = collegeCode;
        return this;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setWebSite(String webSite) 
    {
        this.webSite = webSite;
    }

    public String getWebSite() 
    {
        return webSite;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("collegeCode", getCollegeCode())
            .append("title", getTitle())
            .append("webSite", getWebSite())
            .append("name", getName())
            .append("type", getType())
            .append("url", getUrl())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
